#include <iostream>

using namespace std;

int find_number(int VMAX){
    int l = 0, r = VMAX, sol = r;
    while(l <= r){
        int m = (l + r) / 2;
        if(smaller(m)){
            sol = m - 1;
            r = m - 1;
        }else l = m + 1;
    }
    return sol;
}

/*
int main()
{
    cin >> eu;
    cout << find_number(100) << '\n';
    return 0;
}
*/
